/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityDevelopment;

import java.util.Vector;
import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class FacilityDevelopment {
    public void makeFacilityDevelopment() {
    }

    /**  */
    public BigDecimal calcCost() {
        return new BigDecimal(0);
    }

    public int calcTime() {
        return 0;
    }

    public BigDecimal estimateCostToCompletion() {
        return new BigDecimal(0);
    }

    public int estimateTimeToCompletion() {
        return 0;
    }

    public BigDecimal estimatePercentComplete() {
        return new BigDecimal(0);
    }

    public boolean mi_isCompleted() {
        return false;
    }

    public int mi_estimatePercentCompleted() {
        return 0;
    }

    public BigDecimal mi_assessDeviationFromPlannedCost() {
        return new BigDecimal(0);
    }

    public int mi_assessDeviationFromPlannedTime() {
        return 0;
    }

    /**  */
    public Vector mi_assessProblemResolution_InspectionToMaintenance() {
        return new Vector();
    }

    public static BigDecimal calcAvgCostFacilityDevelopment() {
        return new BigDecimal(0);
    }

    public static int calcAvgDurationFacilityDevelopment() {
        return 0;
    }

    public static Vector listFacilityDevelopments() {
        return new Vector();
    }

    private String number;
    private Date date;

    /**
     *@shapeType AggregationLink
     * @associates <b>FacilityMgmt.FacilityDevelTask.FacilityDevelTask</b>
     * @supplierCardinality 1..*
     * @supplierRole ordered
     * @clientCardinality 1
     */
    private Vector lnkUnnamed1;
    private Date dateDesiredStart;
    private Date dateDesiredCompletion;
    private String signator;

    /** @supplierCardinality 1 */
    private IMakeFacilityDevelopment lnkUnnamed;
    private int status;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private FacilityMgmt.FacilityMaintenance.FacilityInspection lnkUnnamed3;
}


